## libcrcutil 1.0

=== debian/changelog ===
libcrcutil (1.0-5) unstable; urgency=medium

  * New patch to fix FTBFS due to non-ASCII character (Closes: #896501).
    Thanks, Adrian Bunk.
  * rules: removed "override_dh_strip".
  * VCS URLs to Salsa.
  * Standards-Version: 4.1.4.
  * debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 May 2018 00:07:09 +1000

libcrcutil (1.0-4) unstable; urgency=medium

  * Standards-Version: 3.9.7
  * Use HTTPS in Vcs-Broswser URL.
  * Architecture += "any-mips64el".
  * libcrcutil-doc: install examples (Closes: #817907).
  * Fixed FTBFS when built with dpkg-buildpackage -A (Closes: #806056).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 02 Apr 2016 11:36:38 +1100

libcrcutil (1.0-3) unstable; urgency=low

  * Added "any-ppc64el" to Architectures list.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Mar 2015 09:12:23 +1100

libcrcutil (1.0-2) unstable; urgency=low

  * Corrected "build-unclobber.patch" to use "cpuid.h" on x86 only.
  * Added "detect-mcrc32.patch" to use "-mcrc32" conditionally.
  * Added new patch to fix tests on non-x86.
  * Added new patch to abort build on big-endian architectures.
  * Set Architecture list to target only little-endian architectures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Mar 2015 06:12:05 +1100

libcrcutil (1.0-1) unstable; urgency=low

  * Initial release (Closes: #772723).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Dec 2014 07:14:54 +1100
