=== debian/control ===
Source: libcrcutil
Section: libs
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: texlive-binaries
                    ,texlive-latex-base
                    ,texlive-latex-extra
Standards-Version: 4.1.4
Homepage: https://code.google.com/p/crcutil/
Vcs-Browser: https://salsa.debian.org/debian/crcutil
Vcs-Git: https://salsa.debian.org/debian/crcutil.git

Package: libcrcutil0
Architecture: any-alpha any-amd64 any-arm any-arm64 any-i386 any-ia64 any-mipsel any-mips64el any-ppc64el any-sh4 any-x32
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for cyclic redundancy check (CRC) computation
 Crcutil library provides efficient implementation of CRC algorithms. It
 includes reference implementation of a novel Multiword CRC algorithm
 invented by Andrew Kadatch and Bob Jenkins in early 2007. The new
 algorithm is heavily tuned towards modern Intel and AMD processors and is
 substantially faster than almost all other software CRC algorithms.
 .
 Included whitepaper describes the details of Multiword CRC algorithm as
 well as other algorithms and CRC manipulation routines implemented by
 crcutil library.
 .
 Crcutil library computes:
  * Hardware-assisted CRC32C: 0.13 (Nehalem) CPU cycles per byte.
  * 64-bit and smaller CRCs: 1.0 (Nehalem) - 1.2 (Core) CPU cycles per byte.
  * 128-bit CRCs: 1.7 CPU cycles per byte.
 .
 Since computational speed of 64-bit CRCs is identical to 32-bit and
 16-bit, the use of crcutil library enables widespread use of more reliable
 64-bit CRCs instead of 32-bit ones.
 .
 As a bonus, crcutil also implements a number of useful CRC "tricks" (e.g.
 computation of CRC of concatenated blocks of data of known length and CRC
 without touching actual data).

Package: libcrcutil-dev
Section: libdevel
Architecture: any-alpha any-amd64 any-arm any-arm64 any-i386 any-ia64 any-mipsel any-mips64el any-ppc64el any-sh4 any-x32
Depends: ${misc:Depends}, libcrcutil0 (= ${binary:Version})
Suggests: libcrcutil-doc
Description: library for cyclic redundancy check (CRC) computation - development files
 Crcutil library provides efficient implementation of CRC algorithms. It
 includes reference implementation of a novel Multiword CRC algorithm
 invented by Andrew Kadatch and Bob Jenkins in early 2007. The new
 algorithm is heavily tuned towards modern Intel and AMD processors and is
 substantially faster than almost all other software CRC algorithms.
 .
 Included whitepaper describes the details of Multiword CRC algorithm as
 well as other algorithms and CRC manipulation routines implemented by
 crcutil library.
 .
 Crcutil library computes:
  * Hardware-assisted CRC32C: 0.13 (Nehalem) CPU cycles per byte.
  * 64-bit and smaller CRCs: 1.0 (Nehalem) - 1.2 (Core) CPU cycles per byte.
  * 128-bit CRCs: 1.7 CPU cycles per byte.
 .
 Since computational speed of 64-bit CRCs is identical to 32-bit and
 16-bit, the use of crcutil library enables widespread use of more reliable
 64-bit CRCs instead of 32-bit ones.
 .
 As a bonus, crcutil also implements a number of useful CRC "tricks" (e.g.
 computation of CRC of concatenated blocks of data of known length and CRC
 without touching actual data).
 .
 This package provides development files.

Package: libcrcutil-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: library for cyclic redundancy check (CRC) computation - documentation
 Crcutil library provides efficient implementation of CRC algorithms. It
 includes reference implementation of a novel Multiword CRC algorithm
 invented by Andrew Kadatch and Bob Jenkins in early 2007. The new
 algorithm is heavily tuned towards modern Intel and AMD processors and is
 substantially faster than almost all other software CRC algorithms.
 .
 Included whitepaper describes the details of Multiword CRC algorithm as
 well as other algorithms and CRC manipulation routines implemented by
 crcutil library.
 .
 Crcutil library computes:
  * Hardware-assisted CRC32C: 0.13 (Nehalem) CPU cycles per byte.
  * 64-bit and smaller CRCs: 1.0 (Nehalem) - 1.2 (Core) CPU cycles per byte.
  * 128-bit CRCs: 1.7 CPU cycles per byte.
 .
 Since computational speed of 64-bit CRCs is identical to 32-bit and
 16-bit, the use of crcutil library enables widespread use of more reliable
 64-bit CRCs instead of 32-bit ones.
 .
 As a bonus, crcutil also implements a number of useful CRC "tricks" (e.g.
 computation of CRC of concatenated blocks of data of known length and CRC
 without touching actual data).
 .
 This package provides PDF documentation.
